unit U_Membros;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, StdCtrls, Mask, DBCtrls, ExtCtrls, DB, ExtDlgs,
  IBCustomDataSet, IBTable;

type
  TfrmMembros = class(TForm)
    DBNavigator1: TDBNavigator;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    DBEdit4: TDBEdit;
    Label4: TLabel;
    DBEdit5: TDBEdit;
    Label5: TLabel;
    DBEdit6: TDBEdit;
    Label6: TLabel;
    DBEdit7: TDBEdit;
    Label7: TLabel;
    DBEdit8: TDBEdit;
    Label8: TLabel;
    DBEdit9: TDBEdit;
    Label9: TLabel;
    DBEdit10: TDBEdit;
    Label10: TLabel;
    DBEdit12: TDBEdit;
    Label12: TLabel;
    DBEdit13: TDBEdit;
    Label13: TLabel;
    DBEdit14: TDBEdit;
    Label14: TLabel;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Timer1: TTimer;
    Button1: TButton;
    DBEdit15: TDBEdit;
    foto: TImage;
    Label15: TLabel;
    abreFoto: TOpenPictureDialog;
    Button2: TButton;
    DBLookupComboBox2: TDBLookupComboBox;
    DBLookupComboBox3: TDBLookupComboBox;
    DBLookupComboBox4: TDBLookupComboBox;
    DBEdit11: TDBEdit;
    Label11: TLabel;
    rg: TRadioGroup;
    TBL_AUX_gRUPO: TIBTable;
    TBL_AUX_gRUPOMEM_CODIGO: TIntegerField;
    DBGrid1: TDBGrid;
    CheckBox1: TCheckBox;
    Edit2: TEdit;
    CheckBox2: TCheckBox;
    Edit3: TEdit;
    CheckBox3: TCheckBox;
    Edit4: TEdit;
    CheckBox4: TCheckBox;
    Edit5: TEdit;
    CheckBox5: TCheckBox;
    Edit6: TEdit;
    CheckBox6: TCheckBox;
    Edit7: TEdit;
    CheckBox7: TCheckBox;
    Edit8: TEdit;
    CheckBox8: TCheckBox;
    Edit9: TEdit;
    CheckBox9: TCheckBox;
    Edit10: TEdit;
    CheckBox10: TCheckBox;
    Edit11: TEdit;
    CheckBox11: TCheckBox;
    Edit12: TEdit;
    Edit13: TEdit;
    CheckBox12: TCheckBox;
    Edit14: TEdit;
    CheckBox13: TCheckBox;
    procedure Edit1Change(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure DBNavigator1Click(Sender: TObject; Button: TNavigateBtn);
    procedure FormActivate(Sender: TObject);
    procedure rgClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure CheckBox8Click(Sender: TObject);
    procedure CheckBox9Click(Sender: TObject);
    procedure CheckBox10Click(Sender: TObject);
    procedure CheckBox11Click(Sender: TObject);
    procedure CheckBox12Click(Sender: TObject);
    procedure CheckBox13Click(Sender: TObject);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure DBEdit2Exit(Sender: TObject);
    procedure DBEdit3Exit(Sender: TObject);
    procedure DBEdit4Exit(Sender: TObject);
    procedure DBEdit5Exit(Sender: TObject);
    procedure DBEdit6Exit(Sender: TObject);
    procedure DBEdit7Exit(Sender: TObject);
    procedure DBEdit8Exit(Sender: TObject);
    procedure DBEdit9Exit(Sender: TObject);
    procedure DBEdit10Exit(Sender: TObject);
    procedure DBEdit12Exit(Sender: TObject);
    procedure DBEdit13Exit(Sender: TObject);
    procedure DBEdit14Exit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMembros: TfrmMembros;

implementation

uses UDM_dados, U_con_Membros, U_configuracao;


{$R *.dfm}

procedure TfrmMembros.Edit1Change(Sender: TObject);
begin
dm_dados.tlb_Membros.Locate('mem_nome' , Edit1.Text, [loPartialKey, loCaseInsensitive]);
end;

procedure TfrmMembros.Timer1Timer(Sender: TObject);
begin
{    DBNavigator1.BtnClick(nbNext);}
end;

procedure TfrmMembros.Button1Click(Sender: TObject);
begin
frmCons_Membros.Show;
end;

procedure TfrmMembros.Button2Click(Sender: TObject);
begin
     if abreFoto.Execute then
     begin
     foto.Picture.LoadFromFile(abreFoto.FileName);
     dm_dados.tlb_Membros.Edit;
     dm_dados.tlb_MembrosMEM_FOTO.Value:=abreFoto.FileName ;
     end;
end;

procedure TfrmMembros.DBNavigator1Click(Sender: TObject;
  Button: TNavigateBtn);
var ultcod:Integer;
begin


      if dm_dados.dsMembros.State in [dsInsert] then
      begin
         TBL_AUX_gRUPO.Open ;
         TBL_AUX_gRUPO.Last ;
         ultcod:=TBL_AUX_gRUPOMEM_CODIGO.Value + 1;
         dm_dados.tlb_MembrosMEM_CODIGO.Value :=ultcod ;
              begin
      Edit2.Text := DBEdit2.Text;
      end;
         DBEdit2.SetFocus ;
         DBEdit2.Text := Edit2.Text;
         DBEdit3.Text := Edit3.Text;
         DBEdit4.Text := Edit4.Text;
         DBEdit5.Text := Edit5.Text;
         DBEdit6.Text := Edit6.Text;
         DBEdit7.Text := Edit7.Text;
         DBEdit8.Text := Edit8.Text;
         DBEdit9.Text := Edit9.Text;
         DBEdit10.Text := Edit10.Text;
         DBEdit12.Text := Edit11.Text;
         DBEdit13.Text := Edit12.Text;
         DBEdit14.Text := Edit13.Text;
         DBEdit11.Text := Edit14.Text;
         TBL_AUX_gRUPO.close ;
      end;



     foto.Picture.LoadFromFile(dm_dados.tlb_MembrosMEM_FOTO.Value);
     if (dm_dados.tlb_MembrosMEM_FOTO.Value = '') then
     foto.Picture.LoadFromFile ('C:\Quadrangular\Imagem\Vazio.bmp');
end;

procedure TfrmMembros.FormActivate(Sender: TObject);
begin
frmMembros.Caption := frmConfSist.DBEdit1.Text ;

frmMembros.Label2.Caption := frmConfSist.DBEdit7.Text ;
frmMembros.Label3.Caption := frmConfSist.DBEdit8.Text ;
frmMembros.Label4.Caption := frmConfSist.DBEdit9.Text ;
frmMembros.Label5.Caption := frmConfSist.DBEdit10.Text ;
frmMembros.Label6.Caption := frmConfSist.DBEdit11.Text ;
frmMembros.Label7.Caption := frmConfSist.DBEdit12.Text ;
frmMembros.Label8.Caption := frmConfSist.DBEdit13.Text ;
frmMembros.Label9.Caption := frmConfSist.DBEdit14.Text ;
frmMembros.Label10.Caption := frmConfSist.DBEdit15.Text ;
frmMembros.Label12.Caption := frmConfSist.DBEdit16.Text ;
frmMembros.Label15.Caption := frmConfSist.DBEdit17.Text ;
frmMembros.Label11.Caption := frmConfSist.DBEdit18.Text ;
frmMembros.Label13.Caption := frmConfSist.DBEdit6.Text ;
frmMembros.Label14.Caption := frmConfSist.DBEdit19.Text ;

frmMembros.DBGrid1.Columns[1].Title.Caption := frmConfSist.DBEdit7.Text  ;
frmMembros.DBGrid1.Columns[2].Title.Caption := frmConfSist.DBEdit8.Text  ;
frmMembros.DBGrid1.Columns[3].Title.Caption := frmConfSist.DBEdit9.Text  ;
frmMembros.DBGrid1.Columns[4].Title.Caption := frmConfSist.DBEdit10.Text  ;
frmMembros.DBGrid1.Columns[5].Title.Caption := frmConfSist.DBEdit11.Text  ;
frmMembros.DBGrid1.Columns[6].Title.Caption := frmConfSist.DBEdit12.Text  ;
frmMembros.DBGrid1.Columns[7].Title.Caption := frmConfSist.DBEdit13.Text  ;
frmMembros.DBGrid1.Columns[8].Title.Caption := frmConfSist.DBEdit14.Text  ;
frmMembros.DBGrid1.Columns[9].Title.Caption := frmConfSist.DBEdit15.Text  ;
frmMembros.DBGrid1.Columns[10].Title.Caption := frmConfSist.DBEdit16.Text  ;
frmMembros.DBGrid1.Columns[11].Title.Caption := frmConfSist.DBEdit17.Text  ;
frmMembros.DBGrid1.Columns[12].Title.Caption := frmConfSist.DBEdit18.Text  ;
frmMembros.DBGrid1.Columns[13].Title.Caption := frmConfSist.DBEdit6.Text  ;
frmMembros.DBGrid1.Columns[14].Title.Caption := frmConfSist.DBEdit19.Text  ;


     foto.Picture.LoadFromFile(dm_dados.tlb_MembrosMEM_FOTO.Value);
     if (dm_dados.tlb_MembrosMEM_FOTO.Value = '') then
     foto.Picture.LoadFromFile ('C:\Quadrangular\Imagem\Vazio.bmp');

end;

procedure TfrmMembros.rgClick(Sender: TObject);
begin
  case rg.ItemIndex of
  0:dm_dados.tlb_Membros.IndexName :='IND_COD_MEM';
  1:dm_dados.tlb_Membros.IndexName :='IND_NOME_MEM';
  end;
end;

procedure TfrmMembros.FormKeyPress(Sender: TObject; var Key: Char);
begin

If key = #13 then
  Begin
  Key:= #0;
  Perform(Wm_NextDlgCtl,0,0);
  end;

end;

procedure TfrmMembros.CheckBox1Click(Sender: TObject);
begin
      if CheckBox1.Checked = true then
      begin
      Edit2.Text := DBEdit2.Text;
      end;

end;

procedure TfrmMembros.CheckBox2Click(Sender: TObject);
begin
      if CheckBox2.Checked = true then
      begin
      Edit3.Text := DBEdit3.Text;
      end;
end;

procedure TfrmMembros.CheckBox3Click(Sender: TObject);
begin
      if CheckBox3.Checked = true then
      begin
      Edit4.Text := DBEdit4.Text;
      end;
end;

procedure TfrmMembros.CheckBox4Click(Sender: TObject);
begin
      if CheckBox4.Checked = true then
      begin
      Edit5.Text := DBEdit5.Text;
      end;
end;

procedure TfrmMembros.CheckBox5Click(Sender: TObject);
begin
      if CheckBox5.Checked = true then
      begin
      Edit6.Text := DBEdit6.Text;
      end;
end;

procedure TfrmMembros.CheckBox6Click(Sender: TObject);
begin
      if CheckBox6.Checked = true then
      begin
      Edit7.Text := DBEdit7.Text;
      end;
end;

procedure TfrmMembros.CheckBox7Click(Sender: TObject);
begin
      if CheckBox7.Checked = true then
      begin
      Edit8.Text := DBEdit8.Text;
      end;
end;

procedure TfrmMembros.CheckBox8Click(Sender: TObject);
begin
      if CheckBox8.Checked = true then
      begin
      Edit9.Text := DBEdit9.Text;
      end;
end;

procedure TfrmMembros.CheckBox9Click(Sender: TObject);
begin
      if CheckBox9.Checked = true then
      begin
      Edit10.Text := DBEdit10.Text;
      end;
end;

procedure TfrmMembros.CheckBox10Click(Sender: TObject);
begin
      if CheckBox10.Checked = true then
      begin
      Edit11.Text := DBEdit12.Text;
      end;
end;

procedure TfrmMembros.CheckBox11Click(Sender: TObject);
begin
      if CheckBox11.Checked = true then
      begin
      Edit12.Text := DBEdit13.Text;
      end;
end;

procedure TfrmMembros.CheckBox12Click(Sender: TObject);
begin
      if CheckBox12.Checked = true then
      begin
      Edit13.Text := DBEdit14.Text;
      end;
end;

procedure TfrmMembros.CheckBox13Click(Sender: TObject);
begin
      if CheckBox13.Checked = true then
      begin
      Edit14.Text := DBEdit11.Text;
      end;
end;

procedure TfrmMembros.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
      if CheckBox2.Checked = true then
      begin
      Edit3.Text := DBEdit3.Text;
      end;

      if CheckBox3.Checked = true then
      begin
      Edit4.Text := DBEdit4.Text;
      end;

      if CheckBox4.Checked = true then
      begin
      Edit5.Text := DBEdit5.Text;
      end;

      if CheckBox5.Checked = true then
      begin
      Edit6.Text := DBEdit6.Text;
      end;

      if CheckBox6.Checked = true then
      begin
      Edit7.Text := DBEdit7.Text;
      end;

      if CheckBox7.Checked = true then
      begin
      Edit8.Text := DBEdit8.Text;
      end;

      if CheckBox8.Checked = true then
      begin
      Edit9.Text := DBEdit9.Text;
      end;

      if CheckBox9.Checked = true then
      begin
      Edit10.Text := DBEdit10.Text;
      end;

      if CheckBox10.Checked = true then
      begin
      Edit11.Text := DBEdit12.Text;
      end;
            if CheckBox11.Checked = true then
      begin
      Edit12.Text := DBEdit13.Text;
      end;

      if CheckBox12.Checked = true then
      begin
      Edit13.Text := DBEdit14.Text;
      end;

      if CheckBox13.Checked = true then
      begin
      Edit14.Text := DBEdit11.Text;
      end;

      if CheckBox2.Checked = false then
      begin
      Edit3.Text := '';
      end;

      if CheckBox3.Checked = false then
      begin
      Edit4.Text := '';
      end;

      if CheckBox4.Checked = false then
      begin
      Edit5.Text := '';
      end;

      if CheckBox5.Checked = false then
      begin
      Edit6.Text := '';
      end;

      if CheckBox6.Checked = false then
      begin
      Edit7.Text := '';
      end;

      if CheckBox7.Checked = false then
      begin
      Edit8.Text := '';
      end;

      if CheckBox8.Checked = false then
      begin
      Edit9.Text := '';
      end;

      if CheckBox9.Checked = false then
      begin
      Edit10.Text := '';
      end;

      if CheckBox10.Checked = false then
      begin
      Edit11.Text := '';
      end;
      if CheckBox11.Checked = false then
      begin
      Edit12.Text := '';
      end;

      if CheckBox12.Checked = false then
      begin
      Edit13.Text := '';
      end;

      if CheckBox13.Checked = false then
      begin
      Edit14.Text := '';
      end;
end;

procedure TfrmMembros.DBEdit2Exit(Sender: TObject);
begin
    {  if CheckBox2.Checked = false then
      begin
      DBEdit3.SetFocus ;
      Exit;
      end;

      if CheckBox3.Checked = false then
      begin
      DBEdit4.SetFocus;
      Exit;
      end;

      if CheckBox4.Checked = false then
      begin
      DBEdit5.SetFocus;
      Exit;
      end;

      if CheckBox5.Checked = false then
      begin
      DBEdit6.SetFocus;
      Exit;
      end;

      if CheckBox6.Checked = false then
      begin
      DBEdit7.SetFocus;
      Exit;
      end;

      if CheckBox7.Checked = false then
      begin
      DBEdit8.SetFocus;
      Exit;
      end;

      if CheckBox8.Checked = false then
      begin
      DBEdit9.SetFocus;
      Exit;
      end;

      if CheckBox9.Checked = false then
      begin
      DBEdit10.SetFocus;
      Exit;
      end;

      if CheckBox10.Checked = false then
      begin
      DBEdit12.SetFocus;
      Exit;
      end;

      if CheckBox11.Checked = false then
      begin
      DBEdit13.SetFocus;
      Exit;
      end;

      if CheckBox12.Checked = false then
      begin
      DBEdit14.SetFocus;
      Exit;
      end;

      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end;
      }
end;

procedure TfrmMembros.DBEdit3Exit(Sender: TObject);
begin

      {if CheckBox3.Checked = false then
      begin
      DBEdit4.SetFocus;
      Exit;
      end;

      if CheckBox4.Checked = false then
      begin
      DBEdit5.SetFocus;
      Exit;
      end;

      if CheckBox5.Checked = false then
      begin
      DBEdit6.SetFocus;
      Exit;
      end;

      if CheckBox6.Checked = false then
      begin
      DBEdit7.SetFocus;
      Exit;
      end;

      if CheckBox7.Checked = false then
      begin
      DBEdit8.SetFocus;
      Exit;
      end;

      if CheckBox8.Checked = false then
      begin
      DBEdit9.SetFocus;
      Exit;
      end;

      if CheckBox9.Checked = false then
      begin
      DBEdit10.SetFocus;
      Exit;
      end;

      if CheckBox10.Checked = false then
      begin
      DBEdit12.SetFocus;
      Exit;
      end;

      if CheckBox11.Checked = false then
      begin
      DBEdit13.SetFocus;
      Exit;
      end;

      if CheckBox12.Checked = false then
      begin
      DBEdit14.SetFocus;
      Exit;
      end;

      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end; }
end;

procedure TfrmMembros.DBEdit4Exit(Sender: TObject);
begin

     { if CheckBox4.Checked = false then
      begin
      DBEdit5.SetFocus;
      Exit;
      end;

      if CheckBox5.Checked = false then
      begin
      DBEdit6.SetFocus;
      Exit;
      end;

      if CheckBox6.Checked = false then
      begin
      DBEdit7.SetFocus;
      Exit;
      end;

      if CheckBox7.Checked = false then
      begin
      DBEdit8.SetFocus;
      Exit;
      end;

      if CheckBox8.Checked = false then
      begin
      DBEdit9.SetFocus;
      Exit;
      end;

      if CheckBox9.Checked = false then
      begin
      DBEdit10.SetFocus;
      Exit;
      end;

      if CheckBox10.Checked = false then
      begin
      DBEdit12.SetFocus;
      Exit;
      end;

      if CheckBox11.Checked = false then
      begin
      DBEdit13.SetFocus;
      Exit;
      end;

      if CheckBox12.Checked = false then
      begin
      DBEdit14.SetFocus;
      Exit;
      end;

      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end;
           }
end;

procedure TfrmMembros.DBEdit5Exit(Sender: TObject);
begin

      {if CheckBox5.Checked = false then
      begin
      DBEdit6.SetFocus;
      Exit;
      end;

      if CheckBox6.Checked = false then
      begin
      DBEdit7.SetFocus;
      Exit;
      end;

      if CheckBox7.Checked = false then
      begin
      DBEdit8.SetFocus;
      Exit;
      end;

      if CheckBox8.Checked = false then
      begin
      DBEdit9.SetFocus;
      Exit;
      end;

      if CheckBox9.Checked = false then
      begin
      DBEdit10.SetFocus;
      Exit;
      end;

      if CheckBox10.Checked = false then
      begin
      DBEdit12.SetFocus;
      Exit;
      end;

      if CheckBox11.Checked = false then
      begin
      DBEdit13.SetFocus;
      Exit;
      end;

      if CheckBox12.Checked = false then
      begin
      DBEdit14.SetFocus;
      Exit;
      end;

      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end;
        }
end;

procedure TfrmMembros.DBEdit6Exit(Sender: TObject);
begin


     { if CheckBox6.Checked = false then
      begin
      DBEdit7.SetFocus;
      Exit;
      end;

      if CheckBox7.Checked = false then
      begin
      DBEdit8.SetFocus;
      Exit;
      end;

      if CheckBox8.Checked = false then
      begin
      DBEdit9.SetFocus;
      Exit;
      end;

      if CheckBox9.Checked = false then
      begin
      DBEdit10.SetFocus;
      Exit;
      end;

      if CheckBox10.Checked = false then
      begin
      DBEdit12.SetFocus;
      Exit;
      end;

      if CheckBox11.Checked = false then
      begin
      DBEdit13.SetFocus;
      Exit;
      end;

      if CheckBox12.Checked = false then
      begin
      DBEdit14.SetFocus;
      Exit;
      end;

      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end;
      }
end;

procedure TfrmMembros.DBEdit7Exit(Sender: TObject);
begin

      {if CheckBox7.Checked = false then
      begin
      DBEdit8.SetFocus;
      Exit;
      end;

      if CheckBox8.Checked = false then
      begin
      DBEdit9.SetFocus;
      Exit;
      end;

      if CheckBox9.Checked = false then
      begin
      DBEdit10.SetFocus;
      Exit;
      end;

      if CheckBox10.Checked = false then
      begin
      DBEdit12.SetFocus;
      Exit;
      end;

      if CheckBox11.Checked = false then
      begin
      DBEdit13.SetFocus;
      Exit;
      end;

      if CheckBox12.Checked = false then
      begin
      DBEdit14.SetFocus;
      Exit;
      end;

      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end;
       }
end;

procedure TfrmMembros.DBEdit8Exit(Sender: TObject);
begin

     {
      if CheckBox8.Checked = false then
      begin
      DBEdit9.SetFocus;
      Exit;
      end;

      if CheckBox9.Checked = false then
      begin
      DBEdit10.SetFocus;
      Exit;
      end;

      if CheckBox10.Checked = false then
      begin
      DBEdit12.SetFocus;
      Exit;
      end;

      if CheckBox11.Checked = false then
      begin
      DBEdit13.SetFocus;
      Exit;
      end;

      if CheckBox12.Checked = false then
      begin
      DBEdit14.SetFocus;
      Exit;
      end;

      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end;
              }

end;

procedure TfrmMembros.DBEdit9Exit(Sender: TObject);
begin

     { if CheckBox9.Checked = false then
      begin
      DBEdit10.SetFocus;
      Exit;
      end;

      if CheckBox10.Checked = false then
      begin
      DBEdit12.SetFocus;
      Exit;
      end;

      if CheckBox11.Checked = false then
      begin
      DBEdit13.SetFocus;
      Exit;
      end;

      if CheckBox12.Checked = false then
      begin
      DBEdit14.SetFocus;
      Exit;
      end;

      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end;
            }

end;

procedure TfrmMembros.DBEdit10Exit(Sender: TObject);
begin

       {

      if CheckBox10.Checked = false then
      begin
      DBEdit12.SetFocus;
      Exit;
      end;

      if CheckBox11.Checked = false then
      begin
      DBEdit13.SetFocus;
      Exit;
      end;

      if CheckBox12.Checked = false then
      begin
      DBEdit14.SetFocus;
      Exit;
      end;

      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end;
            }
end;

procedure TfrmMembros.DBEdit12Exit(Sender: TObject);
begin


      {
      if CheckBox11.Checked = false then
      begin
      DBEdit13.SetFocus;
      Exit;
      end;

      if CheckBox12.Checked = false then
      begin
      DBEdit14.SetFocus;
      Exit;
      end;

      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end;     }

end;

procedure TfrmMembros.DBEdit13Exit(Sender: TObject);
begin

        {

      if CheckBox12.Checked = false then
      begin
      DBEdit14.SetFocus;
      Exit;
      end;

      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end;     }


end;

procedure TfrmMembros.DBEdit14Exit(Sender: TObject);
begin

      {
      if CheckBox13.Checked = false then
      begin
      DBEdit11.SetFocus;
      Exit;
      end;   }

end;

end.
